﻿

body {    
    margin: 0;
    font-family: 'Segoe UI', sans-serif;
    background: radial-gradient(circle, #e5eaf5 1px, transparent 1px);
    background-size: 20px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

/* Card */
.login-card {
    width: 420px;
    max-width: 95%;
    background: #fff;
    border-radius: 16px;
    padding: 40px;
    box-shadow: 0 20px 50px rgba(0,0,0,0.15);
    text-align: center;
}

.logo-box {
    width: 60px;
    height: 60px;
    background: linear-gradient(135deg,#2563eb,#3b82f6);
    border-radius: 14px;
    margin: 0 auto 15px auto;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 22px;
}

h2 {
    margin: 10px 0 5px 0;
}

.subtitle {
    color: #6b7280;
    font-size: 14px;
    margin-bottom: 15px;
}

.form-group {
    text-align: left;
    margin-bottom: 15px;
}

    .form-group label {
        font-size: 14px;
        font-weight: 500;
    }

    .form-group span {
        color: red;
    }

.input-box {
    position: relative;
    margin-top: 6px;
}

    .input-box input {
        width: 100%;
        box-sizing: border-box; /* VERY IMPORTANT */
        padding: 10px 40px;
        border-radius: 8px;
        border: 1px solid #ddd;
        font-size: 14px;
    }

    .input-box i {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 10px;
        color: #9ca3af;
    }

.toggle-pass {
    right: 10px;
    left: auto;
    cursor: pointer;
}

.input-box.error input {
    border: 1px solid red;
}

.validation {
    color: red;
    font-size: 12px;
}

.extra-row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    font-size: 13px;
}

.btn-login {
    width: 100%;
    padding: 12px;
    border-radius: 8px;
    border: none;
    background: linear-gradient(135deg,#2563eb,#3b82f6);
    color: white;
    font-size: 15px;
    cursor: pointer;
}

    .btn-login:hover {
        opacity: 0.9;
    }

.footer-links {
    margin-top: 20px;
    font-size: 12px;
    color: #6b7280;
}

    .footer-links a {
        color: #6b7280;
        text-decoration: none;
        margin: 0 5px;
    }
